Get transactional message metrics
Returns a list of metrics for a transactional message in steps (days, weeks, etc). We return metrics from oldest to newest (i.e. the 0-index for any result is the oldest step/period).
You cannot request fewer than 2 steps of any period (2 hours, 2 days, 2 weeks, or 2 months). For instance, ?period=days&steps=1 means two days - the 48 hours before the API request was made. ?period=days&steps=0 returns the same as the maximum of the period - ?period=days&steps=45. See the steps parameter below for the maximum count of each period.
- Type: integertransactional
_id requiredThe identifier of your transactional message. You'll find this in the UI or URL of your transactional message. For example, if this is the path of a transactional message URL -
/transactional/3/templates/139- thetransactional_idis 3.
- Type: stringenumperiod
The unit of time for your report.
values- hours
- days
- weeks
- months
- Type: integersteps
The number of periods you want to return. Defaults to the maximum available, or
12if the period is inmonths. Maximums are 24 hours, 45 days, 12 weeks, or 121 months. Days start at 00:00 EST. Weeks start at 00:00 EST on Sunday. Months start at 00:00 EST on the 1st of the month.
- application/json
- 404
The transactional message you requested does not exist.
- 429
Your request is over the 10-per-second limit.
curl 'https://api.customer.io/v1/transactional/1/metrics?period=days&steps=1' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"metric": {
"series": {
"attempted": [
1
],
"bounced": [
1
],
"clicked": [
1
],
"human_clicked": [
1
],
"prefetch_clicked": [
1
],
"converted": [
1
],
"created": [
1
],
"deferred": [
1
],
"delivered": [
1
],
"drafted": [
1
],
"failed": [
1
],
"opened": [
1
],
"human_opened": [
1
],
"prefetch_opened": [
1
],
"sent": [
1
],
"spammed": [
1
],
"suppressed": [
1
],
"undeliverable": [
1
],
"topic_unsubscribed": [
1
],
"unsubscribed": [
1
]
}
}
}Returns transactional message metrics by series (with increments are based on the period and step in your request) for transactional message.